%global gem_name colorize

Name: rubygem-%{gem_name}
Version: 0.8.1
Release: 2%{?dist}
Summary: Add color methods to String class
Group: Development/Languages
License: GPLv2
URL: https://github.com/fazibear/colorize
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# Removes the reporting of test coverage to Code Climate's host
Patch0: remove_codeclimate_test_reporter_dependency.patch 
BuildRequires: rubygems-devel
BuildRequires: rubygem-minitest
BuildArch: noarch

%description
Ruby String class extension. Adds methods to set text color, background color 
and, text effects on ruby console and command line output, using ANSI escape 
sequences.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}
%patch0 -p0

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}

rm -f .%{gem_instdir}/Rakefile
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

%check
ruby -Ilib -e 'Dir.glob "./test/test_*.rb", &method(:require)'


%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_spec}
%exclude %{gem_cache}
%exclude %{gem_instdir}/test
%exclude %{gem_instdir}/%{gem_name}.gemspec

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/README.md

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Sep 11 2016 Christos Triantafyllidis <christos.triantafyllidis@gmail.com> - 0.8.1-1
- Updated to 0.8.1

* Wed Nov 4 2015 Christos Triantafyllidis <christos.triantafyllidis@gmail.com> - 0.7.7-1
- Updated to 0.7.7

* Sat Mar 14 2015 Christos Triantafyllidis <christos.triantafyllidis@gmail.com> - 0.7.5-1
- Initial package
